LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06828Bug reports[All Projects] Authenticationpublic2012-11-05 12:222012-11-13 09:33
ReporterKabble 
Assigned Toc_schmitz 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06828: LDAP authentication not working
DescriptionDelegating authentication for the LS admin GUI to your WebServer (using for instance mod_authnz_LDAP) wich was working on 1.92 LS is not working on 2.00.
Steps To ReproduceConfigure LDAP authentication (config.php and ldap.php).
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID121002
BrowserGoogle Chrome
Database & DB-VersionMysql 5.5.27
Operating System (Server)Red Hat Enterprise Linux Server release 5.7
Webserver software & versionApache 2.2.3
PHP Version5.3.3
Attached Files

- Relationships

-  Notes
User avatar (22006)
c_schmitz (administrator)
2012-11-08 10:08

LDAP configuration has nothing to do with delegating authentication to webserver. I assume the latter one is the problem, right?
User avatar (22009)
c_schmitz (administrator)
2012-11-08 12:39

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10189 [^]
User avatar (22010)
Kabble (reporter)
2012-11-08 12:43

The problem is that the LDAP autnethication is not working on 2.00
User avatar (22012)
c_schmitz (administrator)
2012-11-08 13:05

Let me try again: ldap.php has nothing to do with your LDAP authentification for admins. It is only used for token import.
So I assume the admin authentication by web server wasn't working, right?
User avatar (22013)
c_schmitz (administrator)
2012-11-08 13:20

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10191 [^]
User avatar (22035)
c_schmitz (administrator)
2012-11-09 00:07

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10210 [^]
User avatar (22102)
c_schmitz (administrator)
2012-11-13 09:33

New 2.00+ build released

- Related Changesets
LimeSurvey: master 22242733
Timestamp: 2012-11-08 11:23:35
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06828: Web server authentication not working
Fixed issue: strip_query_from_referrer_url config parameter not working
mod - application/config/config-defaults.php Diff ] File ]
mod - application/controllers/admin/useraction.php Diff ] File ]
mod - application/core/UserIdentity.php Diff ] File ]
mod - application/helpers/frontend_helper.php Diff ] File ]
LimeSurvey: master 530d38d0
Timestamp: 2012-11-08 12:19:55
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06828: Web server authentication not working
mod - application/config/config-defaults.php Diff ] File ]
LimeSurvey: 2.1 a0cee6b8
Timestamp: 2012-11-08 12:19:55
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06828: Web server authentication not working
mod - application/config/config-defaults.php Diff ] File ]
LimeSurvey: 2.1 361c515a
Timestamp: 2012-11-08 23:03:40
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06828: Web server authentication not working
Fixed issue: strip_query_from_referrer_url config parameter not working
mod - application/config/config-defaults.php Diff ] File ]
mod - application/controllers/admin/useraction.php Diff ] File ]
mod - application/core/UserIdentity.php Diff ] File ]
mod - application/helpers/frontend_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-05 12:22 Kabble New Issue
2012-11-08 10:08 c_schmitz Assigned To => c_schmitz
2012-11-08 10:08 c_schmitz Status new => assigned
2012-11-08 10:08 c_schmitz Note Added: 22006
2012-11-08 12:38 c_schmitz Status assigned => resolved
2012-11-08 12:38 c_schmitz Fixed in Version => 2.00+
2012-11-08 12:38 c_schmitz Resolution open => fixed
2012-11-08 12:39 c_schmitz Changeset attached => LimeSurvey master 22242733
2012-11-08 12:39 c_schmitz Note Added: 22009
2012-11-08 12:43 Kabble Note Added: 22010
2012-11-08 13:05 c_schmitz Note Added: 22012
2012-11-08 13:20 c_schmitz Changeset attached => LimeSurvey master 530d38d0
2012-11-08 13:20 c_schmitz Note Added: 22013
2012-11-09 00:07 c_schmitz Changeset attached => LimeSurvey 2.1 361c515a
2012-11-09 00:07 c_schmitz Changeset attached => LimeSurvey 2.1 a0cee6b8
2012-11-09 00:07 c_schmitz Note Added: 22035
2012-11-13 09:33 c_schmitz Note Added: 22102
2012-11-13 09:33 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker